Bug 11395 - allow the SVG pointer-events CSS property in HTML
: allow the SVG pointer-events CSS property in HTML
Status: RESOLVED FIXED
: WebKit
CSS
: 420+
: Macintosh Mac OS X 10.4
: P4 Normal
Assigned To:
:
: InRadar
:
:
  Show dependency treegraph
 
Reported: 2006-10-23 23:06 PST by
Modified: 2009-03-02 11:51 PST (History)


Attachments
Patch + testcases (254.16 KB, patch)
2008-12-18 17:17 PST, Dean Jackson
hyatt: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-10-23 23:06:37 PST
This property should be allowed in HTML to make elements transparent to events. SVG supports many values for this property, but only none, all and visible make sense for HTML. This was added to SVG in bug 10415.

This property is needed to finish the new table deletion UI work, adding column and row deletion.
------- Comment #1 From 2008-11-25 14:06:17 PST -------
Wow. This is a blast from the past.
Proposal up at:
http://webkit.org/specs/PointerEventsProperty.html
------- Comment #2 From 2008-11-25 14:11:45 PST -------
<rdar://problem/6401106>
------- Comment #3 From 2008-12-18 17:17:51 PST -------
Created an attachment (id=26136) [details]
Patch + testcases
------- Comment #4 From 2008-12-19 02:51:52 PST -------
Hmmm... just occurred to me that the svg css property value keywords might not be visible without svg enabled. Note to self: check this.
------- Comment #5 From 2008-12-19 10:50:53 PST -------
Yep. I need to move the "visiblePainted", etc keywords in from SVGCSSValueKeywords.in

I won't submit a new patch file - it should be obvious for review.
------- Comment #6 From 2009-01-05 14:18:22 PST -------
(From update of attachment 26136 [details])
r=me
------- Comment #7 From 2009-01-05 18:35:48 PST -------
Committed r39634
    M    WebCore/ChangeLog
    A    WebCore/manual-tests/pointer-events.html
    M    WebCore/rendering/RenderObject.h
    M    WebCore/rendering/PointerEventsHitRules.cpp
    M    WebCore/rendering/RenderPath.cpp
    M    WebCore/rendering/InlineFlowBox.cpp
    M    WebCore/rendering/InlineTextBox.cpp
    M    WebCore/rendering/EllipsisBox.cpp
    M    WebCore/rendering/RenderBox.cpp
    M    WebCore/rendering/RenderBlock.cpp
    M    WebCore/rendering/PointerEventsHitRules.h
    M    WebCore/rendering/RootInlineBox.cpp
    M    WebCore/rendering/RenderSVGImage.cpp
    M    WebCore/rendering/RenderSVGText.cpp
    M    WebCore/rendering/TextControlInnerElements.cpp
    M    WebCore/rendering/style/SVGRenderStyle.h
    M    WebCore/rendering/style/SVGRenderStyleDefs.h
    M    WebCore/rendering/style/RenderStyleConstants.h
    M    WebCore/rendering/style/RenderStyle.h
    M    WebCore/rendering/InlineBox.h
    M    WebCore/css/SVGCSSComputedStyleDeclaration.cpp
    M    WebCore/css/CSSValueKeywords.in
    M    WebCore/css/CSSStyleSelector.cpp
    M    WebCore/css/CSSParser.cpp
    M    WebCore/css/SVGCSSValueKeywords.in
    M    WebCore/css/SVGCSSStyleSelector.cpp
    M    WebCore/css/CSSComputedStyleDeclaration.cpp
    M    WebCore/css/CSSPrimitiveValueMappings.h
    M    LayoutTests/platform/mac/svg/custom/pointer-events-image-expected.checksum
    M    LayoutTests/platform/mac/svg/custom/pointer-events-text-expected.png
    M    LayoutTests/platform/mac/svg/custom/pointer-events-image-expected.txt
    M    LayoutTests/platform/mac/svg/custom/pointer-events-path-expected.txt
    M    LayoutTests/platform/mac/svg/custom/pointer-events-path-expected.checksum
    M    LayoutTests/platform/mac/svg/custom/pointer-events-image-expected.png
    M    LayoutTests/platform/mac/svg/custom/pointer-events-path-expected.png
    M    LayoutTests/platform/mac/svg/custom/pointer-events-text-expected.checksum
    M    LayoutTests/platform/mac/svg/custom/pointer-events-text-expected.txt
    M    LayoutTests/ChangeLog
    A    LayoutTests/fast/events/pointer-events-expected.txt
    A    LayoutTests/fast/events/pointer-events.html
    A    LayoutTests/fast/events/pointer-events-2-expected.txt
    A    LayoutTests/fast/events/pointer-events-2.html
    M    LayoutTests/fast/css/computed-style-without-renderer-expected.txt
    M    LayoutTests/fast/css/computed-style-expected.txt
    M    LayoutTests/svg/css/getComputedStyle-basic-expected.txt
    M    LayoutTests/svg/custom/pointer-events-path.svg
    M    LayoutTests/svg/custom/pointer-events-image.svg
    M    LayoutTests/svg/custom/pointer-events-text.svg